string.lower
Prev | Common » Base Template Reference | Next

## string.lower

string.lower — Converts a string to all lowercase letters

## Synopsis

    <xsl:template name="string.lower">
    <xsl:param name="string" select="''"/>
      ...
    </xsl:template>

##

Given a string, this template does a language-aware conversion of that string to all lowercase letters, based on the values of the `uppercase.alpha` and `lowercase.alpha` gentext keys for the current locale. It affects only those characters found in the values of `uppercase.alpha` and `lowercase.alpha`. All other characters are left unchanged.

## Parameters

string

  The string to convert to lowercase.

Prev | Up | Next
string.upper | Home | select.choice.separator